complexType "SharedAmericanExercise"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 1 attribute, 4 elements
Defined: | globally in fpml-shared-5-3.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | commencementDate?, expirationDate?, (latestExerciseTime? | latestExerciseTimeDetermination?)?
</...>

Content Model Elements (4):

  commencementDate (defined in SharedAmericanExercise complexType),
  expirationDate (defined in SharedAmericanExercise complexType),
  latestExerciseTime (defined in SharedAmericanExercise complexType),
  latestExerciseTimeDetermination (defined in SharedAmericanExercise complexType)

Known Direct Subtypes (2):

  EquityAmericanExercise, EquityBermudaExercise

All Direct / Indirect Based Elements (2):

  equityAmericanExercise, equityBermudaExercise

Known Usage Locations

- In derivations of other global types (2):

  EquityAmericanExercise (as extension base), | EquityBermudaExercise (as extension base)

Annotation
TBA
Type Definition Detail

Type Derivation Tree Exercise (extension) SharedAmericanExercise

XML Source (w/o annotations (6); see within schema source)

<xsd:complexType name="SharedAmericanExercise"> <xsd:complexContent> <xsd:extension base="Exercise"> <xsd:sequence> <xsd:element minOccurs="0" name="commencementDate" type="AdjustableOrRelativeDate"/> <xsd:element minOccurs="0" name="expirationDate" type="AdjustableOrRelativeDate"/> <xsd:choice minOccurs="0"> <xsd:element minOccurs="0" name="latestExerciseTime" type="BusinessCenterTime"/> <xsd:element minOccurs="0" name="latestExerciseTimeDetermination" type="DeterminationMethod"/> </xsd:choice> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 4/4)
commencementDate

  Type: | AdjustableOrRelativeDate, complex content

  The first day of the exercise period for an American style option.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="commencementDate" type="AdjustableOrRelativeDate"/>

expirationDate

  Type: | AdjustableOrRelativeDate, complex content

  The last day within an exercise period for an American style option. For a European style option it is the only day within the exercise period.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="expirationDate" type="AdjustableOrRelativeDate"/>

latestExerciseTime

  Type: | BusinessCenterTime, complex content

  For a Bermuda or American style option, the latest time on an exercise business day (excluding the expiration date) within the exercise period that notice can be given by the buyer to the seller or seller's agent. Notice of exercise given after this time will be deemed to have been given on the next exercise business day.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="latestExerciseTime" type="BusinessCenterTime"/>

latestExerciseTimeDetermination

  Type: | DeterminationMethod, simple content

  Latest exercise time determination method.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="latestExerciseTimeDetermination" type="DeterminationMethod"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.